Skip to main content
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
webhooks
/
{webhookUuid}
Update a webhook
curl --request PATCH \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/webhooks/{webhookUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "conversation_status"
  ],
  "secret_key": "<string>",
  "is_active": true
}
'
{
  "success": true,
  "data": {
    "webhook_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "events": [
      "conversation_status"
    ],
    "is_active": true,
    "has_secret": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
webhookUuid
string<uuid>
required

Body

application/json
url
string<uri>
required
events
enum<string>[]
required
Available options:
conversation_status,
conversation_end_report,
conversation_update,
voice_evaluation,
text_evaluation,
intent_call
secret_key
string | null

Used to sign webhook payloads. Write-only — never returned by GET endpoints.

is_active
boolean

Response

Webhook updated

success
boolean
data
object